Page MenuHomePhabricator

When adding a redirected category to a page, put the page in both the redirect cat and its target
Open, LowPublic

Description

Author: catlow

Description:
Great that we now have category redirects working properly, but I suggest a slight improvement - if cat2 redirects to cat1 and page1 is placed in cat2, then have page1 added not only to cat1, but to cat2 AS WELL. This will make it easier to find which pages use specifically the cat2 name, which is necessary for some maintenance purposes.


Version: unspecified
Severity: enhancement

Details

Reference
bz17571

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:32 PM
bzimport added a project: MediaWiki-Categories.
bzimport set Reference to bz17571.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Feb 19 2009, 5:00 PM

PhiLiP.NPC wrote:

May fixed in r47530.

brion added a comment.Mar 25 2009, 8:47 AM

Reverted in r48796 pending clarifcation and code cleanup.

catlow wrote:

Can someone say what's happening with this now? It seemed to be almost sorted, then it was reverted, and now there's no sign of any further activity. As with the other redirect-related feature (bug 17934), now the bulk of the work has been done it seems a shame to leave the functionality unusable because of a small outstanding problem. (I don't know the details of the coding, but maybe these two bugs are related?)

Ignoring the fact cat redirects got reverted pending a cleaner implementation, I don't know how good an idea this is. It seems like if a category is a redirect, it should not have any members itself.

(That said, a proper implementation of category redirects would have to record this info anyways)